DBIx::Class::PK(3)

NAME
DBIx::Class::PK - Primary Key class

SYNOPSIS

DESCRIPTION
This class contains methods for handling primary keys and methods depending on them.

METHODS

  id
Returns the primary key(s) for a row. Can't be called as a class method.

  ID
Returns a unique id string identifying a row object by primary key. Used by DBIx::Class::CDBICompat::LiveObjectIndex and DBIx::Class::ObjectCache.

WARNING
    The default "_create_ID" method used by this function orders the returned values by the alphabetical order of the primary column names, unlike the "id" method, which follows the same order in which columns were fed to "set_primary_key" in DBIx::Class::ResultSource.

  ident_condition
  my $cond = $result_source->ident_condition();

  my $cond = $result_source->ident_condition('alias');

Produces a condition hash to locate a row based on the primary key(s).

AUTHORS
Matt S. Trout <mst@shadowcatsystems.co.uk>

LICENSE
You may distribute this code under the same terms as Perl itself.